Bug 850847 - python-quantumclient missing dependency on python-setuptools
python-quantumclient missing dependency on python-setuptools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-quantumclient (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 10:23 EDT by Alan Pevec
Modified: 2012-09-20 16:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 849477
Environment:
Last Closed: 2012-09-20 16:37:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2012-08-22 10:23:13 EDT
+++ This bug was initially created as a clone of Bug #849477 +++

Client binary (in all nova/glance/keystone/quantum clients) is actually generated by setuptools and uses pkg_resources.load_entry_point

python-setuptools needs to be added as a runtime dependency in all OpenStack *client components.
Comment 1 Fedora Update System 2012-08-22 19:04:02 EDT
python-quantumclient-2.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-quantumclient-2.0-1.fc18
Comment 2 Fedora Update System 2012-08-23 00:34:44 EDT
Package python-quantumclient-2.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-quantumclient-2.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12535/python-quantumclient-2.0-1.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-09-11 13:30:57 EDT
python-quantumclient-2.0.21-0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-quantumclient-2.0.21-0.fc18
Comment 4 Fedora Update System 2012-09-12 16:04:26 EDT
python-quantumclient-2.0.22-0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-quantumclient-2.0.22-0.fc18
Comment 5 Fedora Update System 2012-09-14 13:08:07 EDT
python-quantumclient-2.0.23-0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-quantumclient-2.0.23-0.fc18
Comment 6 Fedora Update System 2012-09-20 16:37:27 EDT
python-quantumclient-2.0.23-0.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.